## org.apache.mahout.classifier.df.split
Class IgSplit

    java.lang.Object
      org.apache.mahout.classifier.df.split.IgSplit

Direct Known Subclasses:
  DefaultIgSplit, OptIgSplit, RegressionSplit

    public abstract class IgSplit

extends Object

Computes the best split using the Information Gain measure

Constructor Summary
`IgSplit()`

Method Summary
`abstract Split` `computeSplit(Data data, int attr)` Computes the best split for the given attribute

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IgSplit

    public IgSplit()

Method Detail

### computeSplit

    public abstract Split computeSplit(Data data,
                                       int attr)

  Computes the best split for the given attribute

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.